WordPress Vulnerability Database

Search All Vulnerabilities

Tip: You can search by CVE ID, software name or slug, or the researcher name. Expand to read about more advanced search options.

If you want to perform more advanced lookups, you can use keywords to further refine your search.

For example, woocommerce researcher:"chloe chamberland" would search for any vulnerabilities discovered by Chloe Chamberland in software that has WooCommerce in the title.

Keywords are added in keyword:value format. If the value contains spaces, you must enclose it in quotation marks.

You can use the following keywords to add criteria to your search:

title
Searches through the title of each vulnerability for matches.
date
Returns vulnerabilities by publication date. Use YYYY-MM-DD, YYYY-MM or YYYY format.
cvss-rating
Use low, medium, high or critical to limit the search to vulnerabilities with the specified rating.
researcher
Returns vulnerabilities credited to researchers containing the given text.
software
Returns vulnerabilities discovered in software containing the given text.
software-slug
Returns vulnerabilities discovered in software exactly matching the given slug.
software-type
Use plugin, theme or core to limit the search to the specified type of software.
By selecting “Search” you acknowledge that you have read and agree to the Wordfence Intelligence Terms and Conditions.

All Vulnerabilities

Title CVE ID CVSS Researchers Date
WS Form LITE <= 1.9.217 - Unauthenticated CSV Injection CVE-2023-5424 4.7 Duc Manh June 6, 2024
Gallery – Image and Video Gallery with Thumbnails <= 2.0.3 - Authenticated (Contributor+) SQL Injection CVE-2024-35750 9.9 LVT-tholv2k June 6, 2024
FileOrganizer <= 1.0.7 - Sensitive Information Exposure via Directory Listing CVE-2024-5599 7.5 emad June 6, 2024
Heateor Social Login WordPress <= 1.1.32 - Authenticated (Contributor+) Stored Cross-Site Scripting CVE-2024-35707 6.4 LVT-tholv2k June 6, 2024
Sensei Pro (WC Paid Courses) <= 4.23.1.1.23.1 - Authenticated (Student+) Stored Cross-Site Scripting CVE-2024-34765 6.4 Rafie Muhammad June 6, 2024
Extra Product Options for WooCommerce <= 3.0.6 - Missing Authorization CVE-2024-35727 4.3 Abdi Pranata June 6, 2024
BuddyPress WooCommerce My Account Integration. Create WooCommerce Member Pages <= 3.4.19 - Missing Authorization CVE-2024-35726 4.3 Abdi Pranata June 6, 2024
WP Mobile Menu – The Mobile-Friendly Responsive Menu <= 2.8.4.2 - Authenticated (Contributor+) Stored Cross-Site Scripting via Image Alt CVE-2024-3987 5.4 stealthcopter June 6, 2024
TablePress – Tables in WordPress made easy <= 2.3 - Authenticated (Author+) Server-Side Request Forgery via DNS Rebind CVE-2024-4354 6.4 Tobias Weißhaar (kun_19) June 6, 2024
BuddyPress Cover <= 2.1.4.2 - Unauthenticated Arbitrary File Upload CVE-2024-35746 10.0 YC_Infosec June 6, 2024
Album Gallery – WordPress Gallery <= 1.5.7 - Missing Authorization CVE-2024-35720 4.3 Steven Julian June 6, 2024
WooCommerce Dropshipping <= 5.0.4 - Missing Authorization to Unauthenticated Arbitrary Email Send CVE-2024-35748 5.3 Dave Jong June 6, 2024
Quiz And Survey Master – Best Quiz, Exam and Survey Plugin for WordPress <= 9.0.1 - Authenticated (Contributor+) SQL Injection CVE-2024-3592 9.9 Lucio Sá June 6, 2024
Unlimited Elements For Elementor (Free Widgets, Addons, Templates) <= 1.5.109 - Authenticated (Contributor+) Blind SQL Injection via data[addonID] Parameter CVE-2024-5329 8.8 shaman0x01 June 5, 2024
MultiVendorX Marketplace – WooCommerce MultiVendor Marketplace Solution <= 4.1.11 - Authenticated (Contributor+) Stored Cross-Site Scripting via hover_animation Parameter CVE-2024-5259 6.4 stealthcopter June 5, 2024
Qi Blocks <= 1.2.9 - Authenticated (Author+) Stored Cross-Site Scripting CVE-2024-5221 6.4 wesley (wcraft) June 5, 2024
Login/Signup Popup ( Inline Form + Woocommerce ) 2.7.1 - 2.7.2 - Missing Authorization to Arbitrary Options Exposure CVE-2024-5665 4.3 1337_Wannabe June 5, 2024
Rotating Tweets (Twitter widget and shortcode) <= 1.9.10 - Authenticated (Contributor+) Stored Cross-Site Scripting via Shortcode CVE-2024-5141 6.4 Krzysztof Zając June 5, 2024
WordPress prettyPhoto <= 1.2.3 - Authenticated (Contributor+) Stored Cross-Site Scripting via url Parameter CVE-2024-5162 6.4 stealthcopter June 5, 2024
Startklar Elementor Addons <= 1.7.15 - Unauthenticated Path Traversal to Arbitrary Directory Deletion CVE-2024-5153 9.1 stealthcopter June 5, 2024

Researcher Hall of Fame (Past 30 days)

Did you know Wordfence Intelligence provides free personal and commercial API access to our comprehensive WordPress vulnerability database, along with a free webhook integration to stay on top of the latest vulnerabilities added and updated in the database? Get started today!

Learn more

Want to get notified of the latest vulnerabilities that may affect your WordPress site?
Install Wordfence on your site today to get notified immediately if your site is affected by a vulnerability that has been added to our database.

Get Wordfence

The Wordfence Intelligence WordPress vulnerability database is completely free to access and query via API. Please review the documentation on how to access and consume the vulnerability data via API.

Documentation